<div class="referral-homeless-information">
  <app-content-banner [isDashboard]="false" pageName="Homeless Information"></app-content-banner>
  <mat-card class="rhi-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <app-referral-package-client-banner></app-referral-package-client-banner>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)" #tabs>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Shelter Information</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <form [formGroup]="shelterGroup" style="margin-left: 20px;" (change)="onChange()">
                  <div>
                    <div class="inline label">
                      <input type="hidden" formControlName="vcsClientPackageID" />
                      <mat-label>Is the client currently residing in Shelter listed below? </mat-label>
                    </div>
                    <div class="inline">
                      <mat-radio-group formControlName="resShelterNo" (change)="onChange()">
                        <mat-radio-button *ngFor="let item of responseItems" [value]="item.refGroupDetailID">
                          {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp;
                        </mat-radio-button>
                      </mat-radio-group>
                    </div>
                  </div>

                  <div>
                    <div class="inline label">
                      <mat-label>Residing Shelter Name</mat-label>
                    </div>
                    <div class="inline">
                      <mat-form-field appearance="outline" style="width: 250px">
                        <input matInput formControlName="shelterName">
                      </mat-form-field>
                    </div>
                  </div>

                  <div>
                    <div class="inline label">
                      <mat-label>Residing Shelter Contact Information</mat-label>
                    </div>
                    <div class="inline">
                      <mat-form-field appearance="outline">
                        <input matInput formControlName="shelterPhone" mask="000-000-0000" [showMaskTyped]="true">
                      </mat-form-field>
                    </div>
                  </div>
                </form>
                <div style="padding-bottom: 20px;padding-top: 10px">
                  <button type="button" mat-raised-button color="primary" (click)="addContact()" *ngIf="!showTable"
                    class="addContact">Add New Contact</button>
                  <div *ngIf="showTable">
                    <form [formGroup]="contactGroup" (change)="onContactChange()">
                      <div fxLayout="row" fxLayout.lt-lg="column" fxLayoutAlign="start" class="tableInput">
                        <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
                          <div fxFlex.lt-lg=25>
                            <mat-label class="required-label-color ">First Name</mat-label>
                            <br>
                            <mat-form-field appearance="outline">
                              <input matInput type="text" formControlName="firstName" />
                              <mat-error *ngIf="firstName.errors?.pattern" class="error alert alert-danger">
                                First Name can contain letters only.
                              </mat-error>
                              <mat-error *ngIf="firstName.errors?.required" class="error alert alert-danger">
                                First Name is required.
                              </mat-error>
                            </mat-form-field>
                          </div>
                          <div fxFlex.lt-lg=25>
                            <mat-label class="required-label-color ">Last Name</mat-label>
                            <br>
                            <mat-form-field appearance="outline">
                              <input matInput type="text" formControlName="lastName" />
                              <mat-error *ngIf="lastName.errors?.pattern" class="error alert alert-danger">
                                Last Name can contain letters only.
                              </mat-error>
                              <mat-error *ngIf="lastName.errors?.required" class="error alert alert-danger">
                                Last Name is required.
                              </mat-error>
                            </mat-form-field>
                          </div>
                          <div fxFlex>
                            <mat-label class="required-label-color ">Email</mat-label>
                            <br>
                            <mat-form-field appearance="outline">
                              <input matInput type="text" formControlName="email" />
                              <mat-error *ngIf="email.errors?.email" class="error alert alert-danger">
                                Wrong email format.
                              </mat-error>
                              <mat-error *ngIf="email.errors?.required" class="error alert alert-danger">
                                Email is required.
                              </mat-error>
                            </mat-form-field>
                          </div>
                          <div fxFlex>
                            <span>&nbsp;</span>
                          </div>
                        </div>
                        <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
                          <div fxFlex.lt-lg=25>
                            <mat-label>Office Title</mat-label>
                            <br>
                            <mat-form-field appearance="outline">
                              <input matInput formControlName="officeTitle" maxlength="25">
                            </mat-form-field>
                          </div>
                          <div fxFlex.lt-lg=25>
                            <mat-label>Primary Phone</mat-label>
                            <br>
                            <mat-form-field appearance="outline">
                              <input matInput formControlName="primaryPhone" mask="000-000-0000" [showMaskTyped]="true">
                            </mat-form-field>
                          </div>
                          <div fxFlex>
                            <mat-label>Extension</mat-label>
                            <br>
                            <mat-form-field appearance="outline">
                              <input matInput type="text" formControlName="extension" digitOnly maxlength="5" />
                            </mat-form-field>
                          </div>
                          <div fxFlex>
                            <p class="saveButton">
                              <mat-icon class="content-sub-actions green-color" matTooltip="Save" (click)="saveContact(true)">
                                add_circle</mat-icon>
                          </div>
                          <div fxFlex>
                            <span>&nbsp;</span>
                          </div>
                        </div>
                        <!--  -->

                      </div>
                    </form>
                    <div fxLayout="row" fxLayout.lt-md="column">
                      <div fxLayout="column" style="width: 100%">

                        <ag-grid-angular #agGrid id="contactGrid" style="width: 100%;" class="ag-theme-balham my-grid"
                          [columnDefs]="columnDefs" [defaultColDef]="defaultColDef" [rowData]="contactDataList"
                          [rowSelection]="rowSelection" [singleClickEdit]="true" [floatingFilter]="false" [animateRows]="true"
                          [gridOptions]="gridOptions" [pagination]="pagination" [paginationAutoPageSize]="false"
                          [context]="context" [frameworkComponents]="frameworkComponents" (firstDataRendered)="onFirstDataRendered($event)"
                          (gridReady)="onGridReady($event)" [overlayLoadingTemplate]="overlayLoadingTemplate"
                          [overlayNoRowsTemplate]="overlayNoRowsTemplate">
                        </ag-grid-angular>
                      </div>
                    </div>
                  </div>
                </div>

              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Homeless History</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <!-- Homeless History content here -->
                <div style="align-items: right; text-align: right; padding-right: 30px;">
                  <span class="report-link" (click)="onHHHReportClick()">
                    Homeless History Report
                    <mat-icon> picture_as_pdf </mat-icon>
                  </span>
                </div>
                <app-homeless-history [pactApplicationID]="applicationID" [parentPageID]="2">
                </app-homeless-history>
              </div>
            </div>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
  <app-nav-footer (Savebtn)="onSave(true)" [isSaveRequired]="showBtn" (Clearbtn)="clearPage()" [isClearRequired]="showBtn || showContactCancelBtn"
    (Previousbtn)="previousPage()" [isPreviousRequired]="is_Prev_Required" (Nextbtn)="nextPage()"></app-nav-footer>
</div>